/*******************************************************************************
 * Copyright (c) 2011 Michael Ruflin, André Locher, Claudia von Bastian.
 * 
 * This file is part of Tatool.
 * 
 * Tatool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published 
 * by the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 * 
 * Tatool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with Tatool. If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/
package ch.tatool.examples.executable;

import java.util.ArrayList;

import ch.tatool.core.display.swing.status.DefaultModuleStatusRegionConfigurator;
import ch.tatool.core.display.swing.status.StatusPanel;
import ch.tatool.core.element.ExecutableElement;
import ch.tatool.core.element.IteratedListSelector;
import ch.tatool.core.element.ListElement;
import ch.tatool.core.element.handler.ExecutionFeedbackHandler;
import ch.tatool.element.Element;
import ch.tatool.test.swing.SwingModuleRunner;

public class NBackTest extends SwingModuleRunner {

	protected Element createRootElement() {
		ListElement root = new ListElement();
		IteratedListSelector selector = new IteratedListSelector();
		selector.setNumIterations(10);
		root.getHandlers().add(selector);
		
		DefaultModuleStatusRegionConfigurator statusRegion = new DefaultModuleStatusRegionConfigurator();
		ArrayList<String> panels = new ArrayList<String>();
		panels.add(StatusPanel.STATUS_PANEL_OUTCOME);
		statusRegion.setPanels(panels);
		Element statusElement = new ExecutableElement(statusRegion);
		
		ExecutionFeedbackHandler feedbackHandler = new ExecutionFeedbackHandler();
		root.getHandlers().add(feedbackHandler);

		NBack executable = new NBack();
		Element myExecutableElement = new ExecutableElement(executable);
		root.getChildren().add(statusElement);
		root.getChildren().add(myExecutableElement);

		return root;
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		new NBackTest().runModule();
	}

}
